io.milvus.param.role

## Class SelectRoleParam.Builder

- java.lang.Object
- - io.milvus.param.role.SelectRoleParam.Builder

- Enclosing class:
    SelectRoleParam

      public static final class SelectRoleParam.Builder
      extends java.lang.Object

  Builder for `SelectRoleParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SelectRoleParam` | `build()` Verifies parameters and creates a new `SelectRoleParam` instance.
    `SelectRoleParam.Builder` | `withIncludeUserInfo(boolean includeUserInfo)` Sets the includeUserInfo.
    `SelectRoleParam.Builder` | `withRoleName(@NonNull java.lang.String roleName)` Sets the roleName.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withRoleName

          public SelectRoleParam.Builder withRoleName(@NonNull
                                                      @NonNull java.lang.String roleName)

      Sets the roleName. RoleName cannot be empty or null.
      Parameters:
        `roleName` - roleName
      Returns:
        `Builder`

    - #### withIncludeUserInfo

          public SelectRoleParam.Builder withIncludeUserInfo(boolean includeUserInfo)

      Sets the includeUserInfo. includeUserInfo default false.
      Parameters:
        `includeUserInfo` - includeUserInfo
      Returns:
        `Builder`

    - #### build

          public SelectRoleParam build()
                                throws ParamException

      Verifies parameters and creates a new `SelectRoleParam` instance.
      Returns:
        `SelectRoleParam`
      Throws:
        `ParamException`